PHPExcel_Shared_Drawing

category | PHPExcel
package | PHPExcel_Shared
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Convert EMU to pixels

    EMUToPixels(int $pValue) : int

Static

### Parameters

#### $pValue

`int`

Value in EMU

### Returns

`int`Value in pixels

## Convert angle to degrees

    angleToDegrees(int $pValue) : int

Static

### Parameters

#### $pValue

`int`

Angle

### Returns

`int`Degrees

## Convert column width from (intrinsic) Excel units to pixels

    cellDimensionToPixels(float $pValue, \PHPExcel_Style_Font $pDefaultFont) : int

Static

### Parameters

#### $pValue

`float`

Value in cell dimension

#### $pDefaultFont

`\PHPExcel_Style_Font`

Default font of the workbook

### Returns

`int`Value in pixels

## Convert degrees to angle

    degreesToAngle(int $pValue) : int

Static

### Parameters

#### $pValue

`int`

Degrees

### Returns

`int`Angle

## Create a new image from file.

    imagecreatefrombmp($p_sFile) : resource

Static

By alexander at alexauto dot nl

link | http://www.php.net/manual/en/function.imagecreatefromwbmp.php#86214

### Parameters

#### $p_sFile

### Returns

`resource`

## Convert pixels to column width.

    pixelsToCellDimension(int $pValue, \PHPExcel_Style_Font $pDefaultFont) : int

Static

Exact algorithm not known. By inspection of a real Excel file using Calibri 11, one finds 1000px ~ 142.85546875 This gives a conversion factor of 7. Also, we assume that pixels and font size are proportional.

### Parameters

#### $pValue

`int`

Value in pixels

#### $pDefaultFont

`\PHPExcel_Style_Font`

Default font of the workbook

### Returns

`int`Value in cell dimension

## Convert pixels to EMU

    pixelsToEMU(int $pValue) : int

Static

### Parameters

#### $pValue

`int`

Value in pixels

### Returns

`int`Value in EMU

## Convert pixels to points

    pixelsToPoints(int $pValue) : int

Static

### Parameters

#### $pValue

`int`

Value in pixels

### Returns

`int`Value in points

## Convert points to pixels

    pointsToPixels(int $pValue) : int

Static

### Parameters

#### $pValue

`int`

Value in points

### Returns

`int`Value in pixels